import { useRef, useEffect } from 'react';
export function useEventCallbackRef(callback) {
    var callbackRef = useRef(callback);
    useEffect(function () {
        callbackRef.current = callback;
    }, [callback]);
    return callbackRef;
}
